package guillermocs.patrimonio30.Clases
import android.provider.BaseColumns

/**
 * @author Guillermo Cebrián Serrano
 * Clase que almacena el fomato de las tablas de la base de datos
 */

class DBContract {

    /* Inner class that defines the table contents */
    class Place : BaseColumns {
        companion object {
            const val TABLE_NAME = "SITIOS"
            const val ID = BaseColumns._ID
            const val TITLE = "Titulo"
            const val IMAGE = "Imagen"
            const val DESCRIPTION = "Descripcion"
            const val LOCATION = "Localizacion"
            const val INTERESTTURL = "UrlInteres"
        }
    }

    class Question {
        companion object {
            const val TABLE_NAME = "PREGUNTA"
            const val ID = "Preguntaid"
            const val TEXT = "Texto"
            const val ANSWER1 = "Respuesta1"
            const val ANSWER2 = "Respuesta2"
            const val ANSWER3 = "Respuesta3"
            const val ANSWER4 = "Respuesta4"
            const val CORRECTANSWER = "Solucion"
        }
    }

    class Test {
        companion object {
            const val TABLE_NAME = "TEST"
            const val ID = "Testid"
            const val NAME = "Nombre"
            const val SCORE = "Valoracion"
        }
    }

    class PlaceTestQuestion {
        companion object {
            const val TABLE_NAME = "SITIO_TEST_PREGUNTA"
            const val IDPLACE = "IdSitio"
            const val IDTEST = "IdTest"
            const val IDQUESTION = "IdPregunta"
        }
    }

}
