package guillermocs.patrimonio30

import android.support.v7.app.AppCompatActivity
import android.os.Bundle
import com.twitter.sdk.android.core.identity.TwitterLoginButton;
import android.content.Intent
import android.util.Log
import android.view.View
import android.widget.Button
import android.widget.Toast
import com.twitter.sdk.android.core.*
import com.twitter.sdk.android.core.TwitterCore
import com.twitter.sdk.android.core.TwitterSession
import com.twitter.sdk.android.core.identity.TwitterAuthClient




class LoginTwitter : AppCompatActivity() {

    lateinit var loginButton: TwitterLoginButton

    private lateinit var logoutButton: Button

    companion object {
        const val TAG = "LoginTwitter"
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)

        setContentView(R.layout.activity_login)

        loginButton = findViewById(R.id.login_button)
        logoutButton = findViewById(R.id.logout_button)


        var session = TwitterCore.getInstance().sessionManager
                .activeSession

        if(session == null) {
            loginButton.visibility = View.VISIBLE
            logoutButton.visibility = View.INVISIBLE

        } else {
            loginButton.visibility = View.INVISIBLE
            logoutButton.visibility = View.VISIBLE
        }

        logoutButton.setOnClickListener {
            TwitterCore.getInstance().sessionManager.clearActiveSession()
            Toast.makeText(baseContext,R.string.nav_logout_message,Toast.LENGTH_SHORT).show()
            finish()
        }


        loginButton.callback = object : Callback<TwitterSession>() {
            override fun success(result: Result<TwitterSession>) {
                Toast.makeText(baseContext,R.string.nav_login_message,Toast.LENGTH_SHORT).show()
                finish()
            }

            override fun failure(exception: TwitterException) {
                Toast.makeText(baseContext,R.string.nav_login_error,Toast.LENGTH_SHORT).show()
                finish()
            }
        }



    }


    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)

        val twitterAuthClient = TwitterAuthClient()

        if(twitterAuthClient.requestCode==requestCode) {
            // Pass the activity result to the login logoutButton.
            loginButton.onActivityResult(requestCode, resultCode, data)
        }
    }
}
